Bug 20454 - Save games fails
Save games fails
Product: Red Hat Powertools
Classification: Retired
Component: nethack (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: 45428 52800 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-11-06 22:05 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-16 12:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-06 22:05:14 EST
When I install nethack-3.3.1-1.i386.rpm, run nethack, save a game, and then
restart it, the restore of the saved games fails with a "version mismatch"
Comment 1 Bernhard Rosenkraenzer 2000-11-10 05:14:38 EST
Verified; looking into it.
Comment 2 Uli Heller 2001-03-13 02:17:33 EST
I think it is a problem with compression.
There is following work around:
1) Save game --> file "/usr/lib/games/nethackdir/save/123uli.bz2" is created
   (123 and uli are replaced by user id/user name)
2) Decompress this file by executing "bzip2 -cd 123uli.bz2"
3) Now the restart of the game will be OK
Comment 3 Ville Skyttä 2001-05-10 18:44:39 EDT
Exists in RH7.1 powertools' nethack-3.3.1-3.i386.rpm too.
Here's a fix: in the source RPM's nethack-3.3.1-redhat.patch
COMPRESS_OPTIONS are defined as "-q -z9" but bzip2 _forces_ compression with
the -z flag, thus making decompression always fail since the COMPRESS_OPTIONS
are passed to the COMPRESS executable also when decompressing. Modifying the
patch to define COMPRESS_OPTIONS as "-q -9" and recompiling fixes this.

Comment 4 Bernhard Rosenkraenzer 2001-06-25 05:23:38 EDT
*** Bug 45428 has been marked as a duplicate of this bug. ***
Comment 5 Bernhard Rosenkraenzer 2001-08-29 10:21:55 EDT
*** Bug 52800 has been marked as a duplicate of this bug. ***
Comment 6 Nicolau C. Saldanha 2001-08-30 13:51:43 EDT
A very minor but annoying bug...

Fwiw, I created rpms fixing it
(by deleting 1 character from the patch file and rebuilding,
exactly as proposed by <ville.skytta@popsystems.com> above),
they are here:


Comment 7 David Lawrence 2003-05-16 12:48:51 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.